/* Copyright 1999 by Herve Regad-Pellagru, E-mail: regad@micronet.fr

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

/* Those codes are the error codes returned by the API. Note that CHAT_INTERRUPTED
   is the only that never gets returned from the API but is here for consistency, as
   it and the others are used by the other layers */
#define OPEN_FAILED				-1
#define TCGETATTR_FAILED			-2
#define WRITE_FAILED				-3
#define READ_FAILED				-4
#define TRANSMIT_FAILED				-5
#define MALLOC_FAILED				-6
#define CHECKSUM_FAILED			-7
#define SELECT_FAILED				-8
#define TIMEOUT_READ				-9
#define CHAT_INTERRUPTED			-10
#define BAD_PARAMETERS				-11
